<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="html"  encoding="utf-8"/>
    <xsl:template match="ufoanalyzer_report">
        <head>
        <title>UFOAnalyzer Report</title>
        <style type="text/css">
            body{ text-align: left; width: 100%;  font-family: Verdana, sans-serif; }

            table{ border: none;  border-collapse: separate;  width: 100%; }

            tr.title td{ font-size: 24px;  font-weight: bold; }

            th{ background: #d0d0d0;  font-weight: bold;  font-size: 10pt;  text-align: left; }
            tr{ background: #eeeeee}
            td, th{ font-size: 8pt;  padding: 1px;  border: none; }

            tr.info td{}
            tr.warning td{background-color:yellow;color:black}
            tr.error td{background-color:red;color:black}
            
            span {text-decoration:underline}
            a:hover{text-transform:uppercase;color: #9090F0;}
        </style>
        </head>

        <body>      
        <table>
            <tr class="title">
                <td colspan="4">UFOAnalyzer Report</td>
            </tr>             
            <tr>
                <td width="100">start date</td>
                <td width="100"><xsl:value-of select="@y"/>/<xsl:value-of select="@mo"/>/<xsl:value-of select="@d"/>-<xsl:value-of select="@h"/></td>
                <td width="100">days</td>
                <td width="200"><xsl:value-of select="@days"/></td>
            </tr>
       </table>
       <xsl:apply-templates/>
        </body>
    </xsl:template>

    <xsl:template match="ufo_systems">
        <table>
            <tr>
                <th width="100">system</th>
                <th width="100">meteor</th>
                <th width="100">e-class</th>
                <th width="200">total</th>
            </tr>
            <xsl:apply-templates/>
       </table>
    </xsl:template>

    <xsl:template match="ufo_system">
	<tr>
		<td><xsl:value-of select="@id"/></td>   
		<td><xsl:value-of select="@meteors"/></td>   
		<td><xsl:value-of select="@e-class"/></td>   
		<td><xsl:value-of select="@total"/></td>
	</tr>   
    </xsl:template>
    
    <xsl:template match="ufo_class_time_counts">
	<p> Time Table </p>
        <table>
            <tr>
                <th width="100">class</th>
                <th width="50">count</th>
                <th width="50">12</th>
                <th width="50">13</th>
                <th width="50">14</th>
                <th width="50">15</th>
                <th width="50">16</th>
                <th width="50">17</th>
                <th width="50">18</th>
                <th width="50">19</th>
                <th width="50">20</th>
                <th width="50">21</th>
                <th width="50">22</th>
                <th width="50">23</th>
                <th width="50">00</th>
                <th width="50">01</th>
                <th width="50">02</th>
                <th width="50">03</th>
                <th width="50">04</th>
                <th width="50">05</th>
                <th width="50">06</th>
                <th width="50">07</th>
                <th width="50">08</th>
                <th width="50">09</th>
                <th width="50">10</th>
                <th width="50">11</th>
             </tr>
            <xsl:apply-templates/>
        </table>
    </xsl:template>

    <xsl:template match="ufo_class_time_count">
            <tr>
                <td><xsl:value-of select="@class"/></td>
                <td><xsl:value-of select="@count"/></td>
                <td><xsl:value-of select="@h12"/></td>
                <td><xsl:value-of select="@h13"/></td>
                <td><xsl:value-of select="@h14"/></td>
                <td><xsl:value-of select="@h15"/></td>
                <td><xsl:value-of select="@h16"/></td>
                <td><xsl:value-of select="@h17"/></td>
                <td><xsl:value-of select="@h18"/></td>
                <td><xsl:value-of select="@h19"/></td>
                <td><xsl:value-of select="@h20"/></td>
                <td><xsl:value-of select="@h21"/></td>
                <td><xsl:value-of select="@h22"/></td>
                <td><xsl:value-of select="@h23"/></td>
                <td><xsl:value-of select="@h00"/></td>
                <td><xsl:value-of select="@h01"/></td>
                <td><xsl:value-of select="@h02"/></td>
                <td><xsl:value-of select="@h03"/></td>
                <td><xsl:value-of select="@h04"/></td>
                <td><xsl:value-of select="@h05"/></td>
                <td><xsl:value-of select="@h06"/></td>
                <td><xsl:value-of select="@h07"/></td>
                <td><xsl:value-of select="@h08"/></td>
                <td><xsl:value-of select="@h09"/></td>
                <td><xsl:value-of select="@h10"/></td>
                <td><xsl:value-of select="@h11"/></td>
             </tr>
   </xsl:template>

   <xsl:template match="ufo_class_mag_counts">
	<p> Magnitude Table </p>
        <table>
            <tr>
                <th width="100">class</th>
                <th width="50">count</th>
                <th width="50">-10</th>
                <th width="50">-9</th>
                <th width="50">-8</th>
                <th width="50">-7</th>
                <th width="50">-6</th>
                <th width="50">-5</th>
                <th width="50">-4</th>
                <th width="50">-3</th>
                <th width="50">-2</th>
                <th width="50">-1</th>
                <th width="50">0</th>
                <th width="50">1</th>
                <th width="50">2</th>
                <th width="50">3</th>
                <th width="50">4</th>
                <th width="50">5</th>
                <th width="50">6</th>
                <th width="50">7</th>
                <th width="50">8</th>
                <th width="50">9</th>
                <th width="50">10</th>
             </tr>
            <xsl:apply-templates/>
        </table>
   </xsl:template>

   <xsl:template match="ufo_class_mag_count">
         <tr>
                <td><xsl:value-of select="@class"/></td>
                <td><xsl:value-of select="@count"/></td>
                <td><xsl:value-of select="@m-10"/></td>
                <td><xsl:value-of select="@m-09"/></td>
                <td><xsl:value-of select="@m-08"/></td>
                <td><xsl:value-of select="@m-07"/></td>
                <td><xsl:value-of select="@m-06"/></td>
                <td><xsl:value-of select="@m-05"/></td>
                <td><xsl:value-of select="@m-04"/></td>
                <td><xsl:value-of select="@m-03"/></td>
                <td><xsl:value-of select="@m-02"/></td>
                <td><xsl:value-of select="@m-01"/></td>
                <td><xsl:value-of select="@m000"/></td>
                <td><xsl:value-of select="@m001"/></td>
                <td><xsl:value-of select="@m002"/></td>
                <td><xsl:value-of select="@m003"/></td>
                <td><xsl:value-of select="@m004"/></td>
                <td><xsl:value-of select="@m005"/></td>
                <td><xsl:value-of select="@m006"/></td>
                <td><xsl:value-of select="@m007"/></td>
                <td><xsl:value-of select="@m008"/></td>
                <td><xsl:value-of select="@m009"/></td>
                <td><xsl:value-of select="@m010"/></td>
             </tr>
   </xsl:template>

</xsl:stylesheet>
